import zod from "zod";
export declare const createPageValidation: zod.ZodObject<{
    category: zod.ZodString;
}, "strip", zod.ZodTypeAny, {
    category: string;
}, {
    category: string;
}>;
export declare const createPageCreateValidation: () => zod.ZodObject<{
    category: zod.ZodString;
}, "strip", zod.ZodTypeAny, {
    category: string;
}, {
    category: string;
}>;
export declare const updatePageSettingsValidation: zod.ZodObject<{
    general: zod.ZodOptional<zod.ZodObject<{
        tags: zod.ZodOptional<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodArray<zod.ZodString, "many">>>>>;
        snippet: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>>;
        layout: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>>;
        image: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodObject<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough">>>>, zod.objectOutputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough"> | undefined, zod.objectInputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough"> | null | undefined>>;
    }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
        tags: zod.ZodOptional<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodArray<zod.ZodString, "many">>>>>;
        snippet: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>>;
        layout: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>>;
        image: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodObject<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough">>>>, zod.objectOutputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough"> | undefined, zod.objectInputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough"> | null | undefined>>;
    }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
        tags: zod.ZodOptional<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodArray<zod.ZodString, "many">>>>>;
        snippet: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>>;
        layout: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>>;
        image: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodObject<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough">>>>, zod.objectOutputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough"> | undefined, zod.objectInputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough"> | null | undefined>>;
    }, zod.ZodTypeAny, "passthrough">>>;
    seo: zod.ZodOptional<zod.ZodObject<{
        title: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
        description: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
        meta: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodArray<zod.ZodObject<{
            name: zod.ZodString;
            content: zod.ZodString;
        }, "strip", zod.ZodTypeAny, {
            name: string;
            content: string;
        }, {
            name: string;
            content: string;
        }>, "many">>>>, {
            name: string;
            content: string;
        }[], {
            name: string;
            content: string;
        }[] | null | undefined>>;
    }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
        title: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
        description: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
        meta: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodArray<zod.ZodObject<{
            name: zod.ZodString;
            content: zod.ZodString;
        }, "strip", zod.ZodTypeAny, {
            name: string;
            content: string;
        }, {
            name: string;
            content: string;
        }>, "many">>>>, {
            name: string;
            content: string;
        }[], {
            name: string;
            content: string;
        }[] | null | undefined>>;
    }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
        title: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
        description: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
        meta: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodArray<zod.ZodObject<{
            name: zod.ZodString;
            content: zod.ZodString;
        }, "strip", zod.ZodTypeAny, {
            name: string;
            content: string;
        }, {
            name: string;
            content: string;
        }>, "many">>>>, {
            name: string;
            content: string;
        }[], {
            name: string;
            content: string;
        }[] | null | undefined>>;
    }, zod.ZodTypeAny, "passthrough">>>;
    social: zod.ZodOptional<zod.ZodObject<{
        title: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
        description: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
        meta: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodArray<zod.ZodObject<{
            property: zod.ZodString;
            content: zod.ZodString;
        }, "strip", zod.ZodTypeAny, {
            content: string;
            property: string;
        }, {
            content: string;
            property: string;
        }>, "many">>>>, {
            content: string;
            property: string;
        }[], {
            content: string;
            property: string;
        }[] | null | undefined>>;
        image: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodObject<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough">>>>>>;
    }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
        title: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
        description: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
        meta: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodArray<zod.ZodObject<{
            property: zod.ZodString;
            content: zod.ZodString;
        }, "strip", zod.ZodTypeAny, {
            content: string;
            property: string;
        }, {
            content: string;
            property: string;
        }>, "many">>>>, {
            content: string;
            property: string;
        }[], {
            content: string;
            property: string;
        }[] | null | undefined>>;
        image: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodObject<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough">>>>>>;
    }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
        title: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
        description: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
        meta: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodArray<zod.ZodObject<{
            property: zod.ZodString;
            content: zod.ZodString;
        }, "strip", zod.ZodTypeAny, {
            content: string;
            property: string;
        }, {
            content: string;
            property: string;
        }>, "many">>>>, {
            content: string;
            property: string;
        }[], {
            content: string;
            property: string;
        }[] | null | undefined>>;
        image: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodObject<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough">>>>>>;
    }, zod.ZodTypeAny, "passthrough">>>;
}, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
    general: zod.ZodOptional<zod.ZodObject<{
        tags: zod.ZodOptional<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodArray<zod.ZodString, "many">>>>>;
        snippet: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>>;
        layout: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>>;
        image: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodObject<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough">>>>, zod.objectOutputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough"> | undefined, zod.objectInputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough"> | null | undefined>>;
    }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
        tags: zod.ZodOptional<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodArray<zod.ZodString, "many">>>>>;
        snippet: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>>;
        layout: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>>;
        image: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodObject<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough">>>>, zod.objectOutputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough"> | undefined, zod.objectInputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough"> | null | undefined>>;
    }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
        tags: zod.ZodOptional<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodArray<zod.ZodString, "many">>>>>;
        snippet: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>>;
        layout: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>>;
        image: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodObject<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough">>>>, zod.objectOutputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough"> | undefined, zod.objectInputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough"> | null | undefined>>;
    }, zod.ZodTypeAny, "passthrough">>>;
    seo: zod.ZodOptional<zod.ZodObject<{
        title: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
        description: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
        meta: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodArray<zod.ZodObject<{
            name: zod.ZodString;
            content: zod.ZodString;
        }, "strip", zod.ZodTypeAny, {
            name: string;
            content: string;
        }, {
            name: string;
            content: string;
        }>, "many">>>>, {
            name: string;
            content: string;
        }[], {
            name: string;
            content: string;
        }[] | null | undefined>>;
    }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
        title: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
        description: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
        meta: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodArray<zod.ZodObject<{
            name: zod.ZodString;
            content: zod.ZodString;
        }, "strip", zod.ZodTypeAny, {
            name: string;
            content: string;
        }, {
            name: string;
            content: string;
        }>, "many">>>>, {
            name: string;
            content: string;
        }[], {
            name: string;
            content: string;
        }[] | null | undefined>>;
    }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
        title: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
        description: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
        meta: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodArray<zod.ZodObject<{
            name: zod.ZodString;
            content: zod.ZodString;
        }, "strip", zod.ZodTypeAny, {
            name: string;
            content: string;
        }, {
            name: string;
            content: string;
        }>, "many">>>>, {
            name: string;
            content: string;
        }[], {
            name: string;
            content: string;
        }[] | null | undefined>>;
    }, zod.ZodTypeAny, "passthrough">>>;
    social: zod.ZodOptional<zod.ZodObject<{
        title: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
        description: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
        meta: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodArray<zod.ZodObject<{
            property: zod.ZodString;
            content: zod.ZodString;
        }, "strip", zod.ZodTypeAny, {
            content: string;
            property: string;
        }, {
            content: string;
            property: string;
        }>, "many">>>>, {
            content: string;
            property: string;
        }[], {
            content: string;
            property: string;
        }[] | null | undefined>>;
        image: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodObject<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough">>>>>>;
    }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
        title: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
        description: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
        meta: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodArray<zod.ZodObject<{
            property: zod.ZodString;
            content: zod.ZodString;
        }, "strip", zod.ZodTypeAny, {
            content: string;
            property: string;
        }, {
            content: string;
            property: string;
        }>, "many">>>>, {
            content: string;
            property: string;
        }[], {
            content: string;
            property: string;
        }[] | null | undefined>>;
        image: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodObject<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough">>>>>>;
    }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
        title: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
        description: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
        meta: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodArray<zod.ZodObject<{
            property: zod.ZodString;
            content: zod.ZodString;
        }, "strip", zod.ZodTypeAny, {
            content: string;
            property: string;
        }, {
            content: string;
            property: string;
        }>, "many">>>>, {
            content: string;
            property: string;
        }[], {
            content: string;
            property: string;
        }[] | null | undefined>>;
        image: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodObject<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough">>>>>>;
    }, zod.ZodTypeAny, "passthrough">>>;
}, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
    general: zod.ZodOptional<zod.ZodObject<{
        tags: zod.ZodOptional<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodArray<zod.ZodString, "many">>>>>;
        snippet: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>>;
        layout: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>>;
        image: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodObject<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough">>>>, zod.objectOutputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough"> | undefined, zod.objectInputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough"> | null | undefined>>;
    }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
        tags: zod.ZodOptional<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodArray<zod.ZodString, "many">>>>>;
        snippet: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>>;
        layout: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>>;
        image: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodObject<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough">>>>, zod.objectOutputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough"> | undefined, zod.objectInputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough"> | null | undefined>>;
    }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
        tags: zod.ZodOptional<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodArray<zod.ZodString, "many">>>>>;
        snippet: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>>;
        layout: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>>;
        image: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodObject<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough">>>>, zod.objectOutputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough"> | undefined, zod.objectInputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough"> | null | undefined>>;
    }, zod.ZodTypeAny, "passthrough">>>;
    seo: zod.ZodOptional<zod.ZodObject<{
        title: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
        description: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
        meta: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodArray<zod.ZodObject<{
            name: zod.ZodString;
            content: zod.ZodString;
        }, "strip", zod.ZodTypeAny, {
            name: string;
            content: string;
        }, {
            name: string;
            content: string;
        }>, "many">>>>, {
            name: string;
            content: string;
        }[], {
            name: string;
            content: string;
        }[] | null | undefined>>;
    }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
        title: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
        description: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
        meta: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodArray<zod.ZodObject<{
            name: zod.ZodString;
            content: zod.ZodString;
        }, "strip", zod.ZodTypeAny, {
            name: string;
            content: string;
        }, {
            name: string;
            content: string;
        }>, "many">>>>, {
            name: string;
            content: string;
        }[], {
            name: string;
            content: string;
        }[] | null | undefined>>;
    }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
        title: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
        description: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
        meta: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodArray<zod.ZodObject<{
            name: zod.ZodString;
            content: zod.ZodString;
        }, "strip", zod.ZodTypeAny, {
            name: string;
            content: string;
        }, {
            name: string;
            content: string;
        }>, "many">>>>, {
            name: string;
            content: string;
        }[], {
            name: string;
            content: string;
        }[] | null | undefined>>;
    }, zod.ZodTypeAny, "passthrough">>>;
    social: zod.ZodOptional<zod.ZodObject<{
        title: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
        description: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
        meta: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodArray<zod.ZodObject<{
            property: zod.ZodString;
            content: zod.ZodString;
        }, "strip", zod.ZodTypeAny, {
            content: string;
            property: string;
        }, {
            content: string;
            property: string;
        }>, "many">>>>, {
            content: string;
            property: string;
        }[], {
            content: string;
            property: string;
        }[] | null | undefined>>;
        image: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodObject<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough">>>>>>;
    }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
        title: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
        description: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
        meta: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodArray<zod.ZodObject<{
            property: zod.ZodString;
            content: zod.ZodString;
        }, "strip", zod.ZodTypeAny, {
            content: string;
            property: string;
        }, {
            content: string;
            property: string;
        }>, "many">>>>, {
            content: string;
            property: string;
        }[], {
            content: string;
            property: string;
        }[] | null | undefined>>;
        image: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodObject<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough">>>>>>;
    }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
        title: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
        description: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
        meta: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodArray<zod.ZodObject<{
            property: zod.ZodString;
            content: zod.ZodString;
        }, "strip", zod.ZodTypeAny, {
            content: string;
            property: string;
        }, {
            content: string;
            property: string;
        }>, "many">>>>, {
            content: string;
            property: string;
        }[], {
            content: string;
            property: string;
        }[] | null | undefined>>;
        image: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodObject<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough">>>>>>;
    }, zod.ZodTypeAny, "passthrough">>>;
}, zod.ZodTypeAny, "passthrough">>;
export declare const updatePageValidation: zod.ZodObject<{
    title: zod.ZodOptional<zod.ZodString>;
    path: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>, `/${string}` | null | undefined, string | null | undefined>>;
    category: zod.ZodOptional<zod.ZodString>;
    settings: zod.ZodOptional<zod.ZodObject<{
        general: zod.ZodOptional<zod.ZodObject<{
            tags: zod.ZodOptional<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodArray<zod.ZodString, "many">>>>>;
            snippet: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>>;
            layout: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>>;
            image: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodObject<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">>>>, zod.objectOutputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough"> | undefined, zod.objectInputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough"> | null | undefined>>;
        }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
            tags: zod.ZodOptional<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodArray<zod.ZodString, "many">>>>>;
            snippet: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>>;
            layout: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>>;
            image: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodObject<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">>>>, zod.objectOutputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough"> | undefined, zod.objectInputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough"> | null | undefined>>;
        }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
            tags: zod.ZodOptional<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodArray<zod.ZodString, "many">>>>>;
            snippet: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>>;
            layout: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>>;
            image: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodObject<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">>>>, zod.objectOutputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough"> | undefined, zod.objectInputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough"> | null | undefined>>;
        }, zod.ZodTypeAny, "passthrough">>>;
        seo: zod.ZodOptional<zod.ZodObject<{
            title: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            description: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            meta: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodArray<zod.ZodObject<{
                name: zod.ZodString;
                content: zod.ZodString;
            }, "strip", zod.ZodTypeAny, {
                name: string;
                content: string;
            }, {
                name: string;
                content: string;
            }>, "many">>>>, {
                name: string;
                content: string;
            }[], {
                name: string;
                content: string;
            }[] | null | undefined>>;
        }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
            title: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            description: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            meta: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodArray<zod.ZodObject<{
                name: zod.ZodString;
                content: zod.ZodString;
            }, "strip", zod.ZodTypeAny, {
                name: string;
                content: string;
            }, {
                name: string;
                content: string;
            }>, "many">>>>, {
                name: string;
                content: string;
            }[], {
                name: string;
                content: string;
            }[] | null | undefined>>;
        }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
            title: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            description: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            meta: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodArray<zod.ZodObject<{
                name: zod.ZodString;
                content: zod.ZodString;
            }, "strip", zod.ZodTypeAny, {
                name: string;
                content: string;
            }, {
                name: string;
                content: string;
            }>, "many">>>>, {
                name: string;
                content: string;
            }[], {
                name: string;
                content: string;
            }[] | null | undefined>>;
        }, zod.ZodTypeAny, "passthrough">>>;
        social: zod.ZodOptional<zod.ZodObject<{
            title: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            description: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            meta: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodArray<zod.ZodObject<{
                property: zod.ZodString;
                content: zod.ZodString;
            }, "strip", zod.ZodTypeAny, {
                content: string;
                property: string;
            }, {
                content: string;
                property: string;
            }>, "many">>>>, {
                content: string;
                property: string;
            }[], {
                content: string;
                property: string;
            }[] | null | undefined>>;
            image: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodObject<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">>>>>>;
        }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
            title: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            description: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            meta: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodArray<zod.ZodObject<{
                property: zod.ZodString;
                content: zod.ZodString;
            }, "strip", zod.ZodTypeAny, {
                content: string;
                property: string;
            }, {
                content: string;
                property: string;
            }>, "many">>>>, {
                content: string;
                property: string;
            }[], {
                content: string;
                property: string;
            }[] | null | undefined>>;
            image: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodObject<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">>>>>>;
        }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
            title: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            description: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            meta: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodArray<zod.ZodObject<{
                property: zod.ZodString;
                content: zod.ZodString;
            }, "strip", zod.ZodTypeAny, {
                content: string;
                property: string;
            }, {
                content: string;
                property: string;
            }>, "many">>>>, {
                content: string;
                property: string;
            }[], {
                content: string;
                property: string;
            }[] | null | undefined>>;
            image: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodObject<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">>>>>>;
        }, zod.ZodTypeAny, "passthrough">>>;
    }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
        general: zod.ZodOptional<zod.ZodObject<{
            tags: zod.ZodOptional<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodArray<zod.ZodString, "many">>>>>;
            snippet: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>>;
            layout: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>>;
            image: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodObject<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">>>>, zod.objectOutputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough"> | undefined, zod.objectInputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough"> | null | undefined>>;
        }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
            tags: zod.ZodOptional<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodArray<zod.ZodString, "many">>>>>;
            snippet: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>>;
            layout: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>>;
            image: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodObject<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">>>>, zod.objectOutputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough"> | undefined, zod.objectInputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough"> | null | undefined>>;
        }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
            tags: zod.ZodOptional<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodArray<zod.ZodString, "many">>>>>;
            snippet: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>>;
            layout: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>>;
            image: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodObject<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">>>>, zod.objectOutputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough"> | undefined, zod.objectInputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough"> | null | undefined>>;
        }, zod.ZodTypeAny, "passthrough">>>;
        seo: zod.ZodOptional<zod.ZodObject<{
            title: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            description: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            meta: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodArray<zod.ZodObject<{
                name: zod.ZodString;
                content: zod.ZodString;
            }, "strip", zod.ZodTypeAny, {
                name: string;
                content: string;
            }, {
                name: string;
                content: string;
            }>, "many">>>>, {
                name: string;
                content: string;
            }[], {
                name: string;
                content: string;
            }[] | null | undefined>>;
        }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
            title: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            description: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            meta: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodArray<zod.ZodObject<{
                name: zod.ZodString;
                content: zod.ZodString;
            }, "strip", zod.ZodTypeAny, {
                name: string;
                content: string;
            }, {
                name: string;
                content: string;
            }>, "many">>>>, {
                name: string;
                content: string;
            }[], {
                name: string;
                content: string;
            }[] | null | undefined>>;
        }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
            title: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            description: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            meta: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodArray<zod.ZodObject<{
                name: zod.ZodString;
                content: zod.ZodString;
            }, "strip", zod.ZodTypeAny, {
                name: string;
                content: string;
            }, {
                name: string;
                content: string;
            }>, "many">>>>, {
                name: string;
                content: string;
            }[], {
                name: string;
                content: string;
            }[] | null | undefined>>;
        }, zod.ZodTypeAny, "passthrough">>>;
        social: zod.ZodOptional<zod.ZodObject<{
            title: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            description: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            meta: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodArray<zod.ZodObject<{
                property: zod.ZodString;
                content: zod.ZodString;
            }, "strip", zod.ZodTypeAny, {
                content: string;
                property: string;
            }, {
                content: string;
                property: string;
            }>, "many">>>>, {
                content: string;
                property: string;
            }[], {
                content: string;
                property: string;
            }[] | null | undefined>>;
            image: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodObject<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">>>>>>;
        }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
            title: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            description: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            meta: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodArray<zod.ZodObject<{
                property: zod.ZodString;
                content: zod.ZodString;
            }, "strip", zod.ZodTypeAny, {
                content: string;
                property: string;
            }, {
                content: string;
                property: string;
            }>, "many">>>>, {
                content: string;
                property: string;
            }[], {
                content: string;
                property: string;
            }[] | null | undefined>>;
            image: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodObject<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">>>>>>;
        }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
            title: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            description: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            meta: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodArray<zod.ZodObject<{
                property: zod.ZodString;
                content: zod.ZodString;
            }, "strip", zod.ZodTypeAny, {
                content: string;
                property: string;
            }, {
                content: string;
                property: string;
            }>, "many">>>>, {
                content: string;
                property: string;
            }[], {
                content: string;
                property: string;
            }[] | null | undefined>>;
            image: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodObject<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">>>>>>;
        }, zod.ZodTypeAny, "passthrough">>>;
    }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
        general: zod.ZodOptional<zod.ZodObject<{
            tags: zod.ZodOptional<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodArray<zod.ZodString, "many">>>>>;
            snippet: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>>;
            layout: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>>;
            image: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodObject<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">>>>, zod.objectOutputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough"> | undefined, zod.objectInputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough"> | null | undefined>>;
        }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
            tags: zod.ZodOptional<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodArray<zod.ZodString, "many">>>>>;
            snippet: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>>;
            layout: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>>;
            image: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodObject<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">>>>, zod.objectOutputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough"> | undefined, zod.objectInputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough"> | null | undefined>>;
        }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
            tags: zod.ZodOptional<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodArray<zod.ZodString, "many">>>>>;
            snippet: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>>;
            layout: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>>;
            image: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodObject<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">>>>, zod.objectOutputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough"> | undefined, zod.objectInputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough"> | null | undefined>>;
        }, zod.ZodTypeAny, "passthrough">>>;
        seo: zod.ZodOptional<zod.ZodObject<{
            title: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            description: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            meta: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodArray<zod.ZodObject<{
                name: zod.ZodString;
                content: zod.ZodString;
            }, "strip", zod.ZodTypeAny, {
                name: string;
                content: string;
            }, {
                name: string;
                content: string;
            }>, "many">>>>, {
                name: string;
                content: string;
            }[], {
                name: string;
                content: string;
            }[] | null | undefined>>;
        }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
            title: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            description: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            meta: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodArray<zod.ZodObject<{
                name: zod.ZodString;
                content: zod.ZodString;
            }, "strip", zod.ZodTypeAny, {
                name: string;
                content: string;
            }, {
                name: string;
                content: string;
            }>, "many">>>>, {
                name: string;
                content: string;
            }[], {
                name: string;
                content: string;
            }[] | null | undefined>>;
        }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
            title: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            description: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            meta: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodArray<zod.ZodObject<{
                name: zod.ZodString;
                content: zod.ZodString;
            }, "strip", zod.ZodTypeAny, {
                name: string;
                content: string;
            }, {
                name: string;
                content: string;
            }>, "many">>>>, {
                name: string;
                content: string;
            }[], {
                name: string;
                content: string;
            }[] | null | undefined>>;
        }, zod.ZodTypeAny, "passthrough">>>;
        social: zod.ZodOptional<zod.ZodObject<{
            title: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            description: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            meta: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodArray<zod.ZodObject<{
                property: zod.ZodString;
                content: zod.ZodString;
            }, "strip", zod.ZodTypeAny, {
                content: string;
                property: string;
            }, {
                content: string;
                property: string;
            }>, "many">>>>, {
                content: string;
                property: string;
            }[], {
                content: string;
                property: string;
            }[] | null | undefined>>;
            image: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodObject<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">>>>>>;
        }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
            title: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            description: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            meta: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodArray<zod.ZodObject<{
                property: zod.ZodString;
                content: zod.ZodString;
            }, "strip", zod.ZodTypeAny, {
                content: string;
                property: string;
            }, {
                content: string;
                property: string;
            }>, "many">>>>, {
                content: string;
                property: string;
            }[], {
                content: string;
                property: string;
            }[] | null | undefined>>;
            image: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodObject<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">>>>>>;
        }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
            title: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            description: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            meta: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodArray<zod.ZodObject<{
                property: zod.ZodString;
                content: zod.ZodString;
            }, "strip", zod.ZodTypeAny, {
                content: string;
                property: string;
            }, {
                content: string;
                property: string;
            }>, "many">>>>, {
                content: string;
                property: string;
            }[], {
                content: string;
                property: string;
            }[] | null | undefined>>;
            image: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodObject<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">>>>>>;
        }, zod.ZodTypeAny, "passthrough">>>;
    }, zod.ZodTypeAny, "passthrough">>>;
    content: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodUnion<[zod.ZodObject<{}, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{}, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{}, zod.ZodTypeAny, "passthrough">>, zod.ZodArray<zod.ZodObject<{}, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{}, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{}, zod.ZodTypeAny, "passthrough">>, "many">]>>>>>;
}, "strip", zod.ZodTypeAny, {
    content?: zod.objectOutputType<{}, zod.ZodTypeAny, "passthrough"> | zod.objectOutputType<{}, zod.ZodTypeAny, "passthrough">[] | null | undefined;
    title?: string | undefined;
    path?: `/${string}` | null | undefined;
    category?: string | undefined;
    settings?: zod.objectOutputType<{
        general: zod.ZodOptional<zod.ZodObject<{
            tags: zod.ZodOptional<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodArray<zod.ZodString, "many">>>>>;
            snippet: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>>;
            layout: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>>;
            image: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodObject<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">>>>, zod.objectOutputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough"> | undefined, zod.objectInputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough"> | null | undefined>>;
        }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
            tags: zod.ZodOptional<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodArray<zod.ZodString, "many">>>>>;
            snippet: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>>;
            layout: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>>;
            image: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodObject<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">>>>, zod.objectOutputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough"> | undefined, zod.objectInputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough"> | null | undefined>>;
        }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
            tags: zod.ZodOptional<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodArray<zod.ZodString, "many">>>>>;
            snippet: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>>;
            layout: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>>;
            image: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodObject<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">>>>, zod.objectOutputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough"> | undefined, zod.objectInputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough"> | null | undefined>>;
        }, zod.ZodTypeAny, "passthrough">>>;
        seo: zod.ZodOptional<zod.ZodObject<{
            title: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            description: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            meta: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodArray<zod.ZodObject<{
                name: zod.ZodString;
                content: zod.ZodString;
            }, "strip", zod.ZodTypeAny, {
                name: string;
                content: string;
            }, {
                name: string;
                content: string;
            }>, "many">>>>, {
                name: string;
                content: string;
            }[], {
                name: string;
                content: string;
            }[] | null | undefined>>;
        }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
            title: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            description: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            meta: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodArray<zod.ZodObject<{
                name: zod.ZodString;
                content: zod.ZodString;
            }, "strip", zod.ZodTypeAny, {
                name: string;
                content: string;
            }, {
                name: string;
                content: string;
            }>, "many">>>>, {
                name: string;
                content: string;
            }[], {
                name: string;
                content: string;
            }[] | null | undefined>>;
        }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
            title: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            description: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            meta: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodArray<zod.ZodObject<{
                name: zod.ZodString;
                content: zod.ZodString;
            }, "strip", zod.ZodTypeAny, {
                name: string;
                content: string;
            }, {
                name: string;
                content: string;
            }>, "many">>>>, {
                name: string;
                content: string;
            }[], {
                name: string;
                content: string;
            }[] | null | undefined>>;
        }, zod.ZodTypeAny, "passthrough">>>;
        social: zod.ZodOptional<zod.ZodObject<{
            title: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            description: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            meta: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodArray<zod.ZodObject<{
                property: zod.ZodString;
                content: zod.ZodString;
            }, "strip", zod.ZodTypeAny, {
                content: string;
                property: string;
            }, {
                content: string;
                property: string;
            }>, "many">>>>, {
                content: string;
                property: string;
            }[], {
                content: string;
                property: string;
            }[] | null | undefined>>;
            image: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodObject<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">>>>>>;
        }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
            title: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            description: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            meta: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodArray<zod.ZodObject<{
                property: zod.ZodString;
                content: zod.ZodString;
            }, "strip", zod.ZodTypeAny, {
                content: string;
                property: string;
            }, {
                content: string;
                property: string;
            }>, "many">>>>, {
                content: string;
                property: string;
            }[], {
                content: string;
                property: string;
            }[] | null | undefined>>;
            image: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodObject<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">>>>>>;
        }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
            title: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            description: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            meta: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodArray<zod.ZodObject<{
                property: zod.ZodString;
                content: zod.ZodString;
            }, "strip", zod.ZodTypeAny, {
                content: string;
                property: string;
            }, {
                content: string;
                property: string;
            }>, "many">>>>, {
                content: string;
                property: string;
            }[], {
                content: string;
                property: string;
            }[] | null | undefined>>;
            image: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodObject<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">>>>>>;
        }, zod.ZodTypeAny, "passthrough">>>;
    }, zod.ZodTypeAny, "passthrough"> | undefined;
}, {
    content?: zod.objectInputType<{}, zod.ZodTypeAny, "passthrough"> | zod.objectInputType<{}, zod.ZodTypeAny, "passthrough">[] | null | undefined;
    title?: string | undefined;
    path?: string | null | undefined;
    category?: string | undefined;
    settings?: zod.objectInputType<{
        general: zod.ZodOptional<zod.ZodObject<{
            tags: zod.ZodOptional<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodArray<zod.ZodString, "many">>>>>;
            snippet: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>>;
            layout: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>>;
            image: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodObject<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">>>>, zod.objectOutputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough"> | undefined, zod.objectInputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough"> | null | undefined>>;
        }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
            tags: zod.ZodOptional<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodArray<zod.ZodString, "many">>>>>;
            snippet: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>>;
            layout: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>>;
            image: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodObject<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">>>>, zod.objectOutputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough"> | undefined, zod.objectInputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough"> | null | undefined>>;
        }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
            tags: zod.ZodOptional<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodArray<zod.ZodString, "many">>>>>;
            snippet: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>>;
            layout: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>>;
            image: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodObject<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">>>>, zod.objectOutputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough"> | undefined, zod.objectInputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough"> | null | undefined>>;
        }, zod.ZodTypeAny, "passthrough">>>;
        seo: zod.ZodOptional<zod.ZodObject<{
            title: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            description: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            meta: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodArray<zod.ZodObject<{
                name: zod.ZodString;
                content: zod.ZodString;
            }, "strip", zod.ZodTypeAny, {
                name: string;
                content: string;
            }, {
                name: string;
                content: string;
            }>, "many">>>>, {
                name: string;
                content: string;
            }[], {
                name: string;
                content: string;
            }[] | null | undefined>>;
        }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
            title: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            description: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            meta: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodArray<zod.ZodObject<{
                name: zod.ZodString;
                content: zod.ZodString;
            }, "strip", zod.ZodTypeAny, {
                name: string;
                content: string;
            }, {
                name: string;
                content: string;
            }>, "many">>>>, {
                name: string;
                content: string;
            }[], {
                name: string;
                content: string;
            }[] | null | undefined>>;
        }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
            title: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            description: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            meta: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodArray<zod.ZodObject<{
                name: zod.ZodString;
                content: zod.ZodString;
            }, "strip", zod.ZodTypeAny, {
                name: string;
                content: string;
            }, {
                name: string;
                content: string;
            }>, "many">>>>, {
                name: string;
                content: string;
            }[], {
                name: string;
                content: string;
            }[] | null | undefined>>;
        }, zod.ZodTypeAny, "passthrough">>>;
        social: zod.ZodOptional<zod.ZodObject<{
            title: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            description: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            meta: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodArray<zod.ZodObject<{
                property: zod.ZodString;
                content: zod.ZodString;
            }, "strip", zod.ZodTypeAny, {
                content: string;
                property: string;
            }, {
                content: string;
                property: string;
            }>, "many">>>>, {
                content: string;
                property: string;
            }[], {
                content: string;
                property: string;
            }[] | null | undefined>>;
            image: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodObject<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">>>>>>;
        }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
            title: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            description: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            meta: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodArray<zod.ZodObject<{
                property: zod.ZodString;
                content: zod.ZodString;
            }, "strip", zod.ZodTypeAny, {
                content: string;
                property: string;
            }, {
                content: string;
                property: string;
            }>, "many">>>>, {
                content: string;
                property: string;
            }[], {
                content: string;
                property: string;
            }[] | null | undefined>>;
            image: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodObject<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">>>>>>;
        }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
            title: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            description: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            meta: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodArray<zod.ZodObject<{
                property: zod.ZodString;
                content: zod.ZodString;
            }, "strip", zod.ZodTypeAny, {
                content: string;
                property: string;
            }, {
                content: string;
                property: string;
            }>, "many">>>>, {
                content: string;
                property: string;
            }[], {
                content: string;
                property: string;
            }[] | null | undefined>>;
            image: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodObject<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">>>>>>;
        }, zod.ZodTypeAny, "passthrough">>>;
    }, zod.ZodTypeAny, "passthrough"> | undefined;
}>;
export declare const createPageUpdateValidation: () => zod.ZodObject<{
    title: zod.ZodOptional<zod.ZodString>;
    path: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>, `/${string}` | null | undefined, string | null | undefined>>;
    category: zod.ZodOptional<zod.ZodString>;
    settings: zod.ZodOptional<zod.ZodObject<{
        general: zod.ZodOptional<zod.ZodObject<{
            tags: zod.ZodOptional<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodArray<zod.ZodString, "many">>>>>;
            snippet: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>>;
            layout: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>>;
            image: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodObject<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">>>>, zod.objectOutputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough"> | undefined, zod.objectInputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough"> | null | undefined>>;
        }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
            tags: zod.ZodOptional<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodArray<zod.ZodString, "many">>>>>;
            snippet: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>>;
            layout: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>>;
            image: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodObject<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">>>>, zod.objectOutputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough"> | undefined, zod.objectInputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough"> | null | undefined>>;
        }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
            tags: zod.ZodOptional<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodArray<zod.ZodString, "many">>>>>;
            snippet: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>>;
            layout: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>>;
            image: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodObject<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">>>>, zod.objectOutputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough"> | undefined, zod.objectInputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough"> | null | undefined>>;
        }, zod.ZodTypeAny, "passthrough">>>;
        seo: zod.ZodOptional<zod.ZodObject<{
            title: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            description: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            meta: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodArray<zod.ZodObject<{
                name: zod.ZodString;
                content: zod.ZodString;
            }, "strip", zod.ZodTypeAny, {
                name: string;
                content: string;
            }, {
                name: string;
                content: string;
            }>, "many">>>>, {
                name: string;
                content: string;
            }[], {
                name: string;
                content: string;
            }[] | null | undefined>>;
        }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
            title: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            description: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            meta: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodArray<zod.ZodObject<{
                name: zod.ZodString;
                content: zod.ZodString;
            }, "strip", zod.ZodTypeAny, {
                name: string;
                content: string;
            }, {
                name: string;
                content: string;
            }>, "many">>>>, {
                name: string;
                content: string;
            }[], {
                name: string;
                content: string;
            }[] | null | undefined>>;
        }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
            title: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            description: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            meta: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodArray<zod.ZodObject<{
                name: zod.ZodString;
                content: zod.ZodString;
            }, "strip", zod.ZodTypeAny, {
                name: string;
                content: string;
            }, {
                name: string;
                content: string;
            }>, "many">>>>, {
                name: string;
                content: string;
            }[], {
                name: string;
                content: string;
            }[] | null | undefined>>;
        }, zod.ZodTypeAny, "passthrough">>>;
        social: zod.ZodOptional<zod.ZodObject<{
            title: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            description: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            meta: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodArray<zod.ZodObject<{
                property: zod.ZodString;
                content: zod.ZodString;
            }, "strip", zod.ZodTypeAny, {
                content: string;
                property: string;
            }, {
                content: string;
                property: string;
            }>, "many">>>>, {
                content: string;
                property: string;
            }[], {
                content: string;
                property: string;
            }[] | null | undefined>>;
            image: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodObject<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">>>>>>;
        }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
            title: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            description: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            meta: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodArray<zod.ZodObject<{
                property: zod.ZodString;
                content: zod.ZodString;
            }, "strip", zod.ZodTypeAny, {
                content: string;
                property: string;
            }, {
                content: string;
                property: string;
            }>, "many">>>>, {
                content: string;
                property: string;
            }[], {
                content: string;
                property: string;
            }[] | null | undefined>>;
            image: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodObject<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">>>>>>;
        }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
            title: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            description: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            meta: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodArray<zod.ZodObject<{
                property: zod.ZodString;
                content: zod.ZodString;
            }, "strip", zod.ZodTypeAny, {
                content: string;
                property: string;
            }, {
                content: string;
                property: string;
            }>, "many">>>>, {
                content: string;
                property: string;
            }[], {
                content: string;
                property: string;
            }[] | null | undefined>>;
            image: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodObject<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">>>>>>;
        }, zod.ZodTypeAny, "passthrough">>>;
    }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
        general: zod.ZodOptional<zod.ZodObject<{
            tags: zod.ZodOptional<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodArray<zod.ZodString, "many">>>>>;
            snippet: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>>;
            layout: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>>;
            image: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodObject<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">>>>, zod.objectOutputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough"> | undefined, zod.objectInputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough"> | null | undefined>>;
        }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
            tags: zod.ZodOptional<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodArray<zod.ZodString, "many">>>>>;
            snippet: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>>;
            layout: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>>;
            image: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodObject<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">>>>, zod.objectOutputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough"> | undefined, zod.objectInputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough"> | null | undefined>>;
        }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
            tags: zod.ZodOptional<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodArray<zod.ZodString, "many">>>>>;
            snippet: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>>;
            layout: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>>;
            image: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodObject<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">>>>, zod.objectOutputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough"> | undefined, zod.objectInputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough"> | null | undefined>>;
        }, zod.ZodTypeAny, "passthrough">>>;
        seo: zod.ZodOptional<zod.ZodObject<{
            title: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            description: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            meta: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodArray<zod.ZodObject<{
                name: zod.ZodString;
                content: zod.ZodString;
            }, "strip", zod.ZodTypeAny, {
                name: string;
                content: string;
            }, {
                name: string;
                content: string;
            }>, "many">>>>, {
                name: string;
                content: string;
            }[], {
                name: string;
                content: string;
            }[] | null | undefined>>;
        }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
            title: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            description: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            meta: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodArray<zod.ZodObject<{
                name: zod.ZodString;
                content: zod.ZodString;
            }, "strip", zod.ZodTypeAny, {
                name: string;
                content: string;
            }, {
                name: string;
                content: string;
            }>, "many">>>>, {
                name: string;
                content: string;
            }[], {
                name: string;
                content: string;
            }[] | null | undefined>>;
        }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
            title: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            description: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            meta: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodArray<zod.ZodObject<{
                name: zod.ZodString;
                content: zod.ZodString;
            }, "strip", zod.ZodTypeAny, {
                name: string;
                content: string;
            }, {
                name: string;
                content: string;
            }>, "many">>>>, {
                name: string;
                content: string;
            }[], {
                name: string;
                content: string;
            }[] | null | undefined>>;
        }, zod.ZodTypeAny, "passthrough">>>;
        social: zod.ZodOptional<zod.ZodObject<{
            title: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            description: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            meta: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodArray<zod.ZodObject<{
                property: zod.ZodString;
                content: zod.ZodString;
            }, "strip", zod.ZodTypeAny, {
                content: string;
                property: string;
            }, {
                content: string;
                property: string;
            }>, "many">>>>, {
                content: string;
                property: string;
            }[], {
                content: string;
                property: string;
            }[] | null | undefined>>;
            image: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodObject<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">>>>>>;
        }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
            title: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            description: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            meta: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodArray<zod.ZodObject<{
                property: zod.ZodString;
                content: zod.ZodString;
            }, "strip", zod.ZodTypeAny, {
                content: string;
                property: string;
            }, {
                content: string;
                property: string;
            }>, "many">>>>, {
                content: string;
                property: string;
            }[], {
                content: string;
                property: string;
            }[] | null | undefined>>;
            image: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodObject<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">>>>>>;
        }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
            title: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            description: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            meta: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodArray<zod.ZodObject<{
                property: zod.ZodString;
                content: zod.ZodString;
            }, "strip", zod.ZodTypeAny, {
                content: string;
                property: string;
            }, {
                content: string;
                property: string;
            }>, "many">>>>, {
                content: string;
                property: string;
            }[], {
                content: string;
                property: string;
            }[] | null | undefined>>;
            image: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodObject<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">>>>>>;
        }, zod.ZodTypeAny, "passthrough">>>;
    }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
        general: zod.ZodOptional<zod.ZodObject<{
            tags: zod.ZodOptional<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodArray<zod.ZodString, "many">>>>>;
            snippet: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>>;
            layout: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>>;
            image: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodObject<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">>>>, zod.objectOutputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough"> | undefined, zod.objectInputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough"> | null | undefined>>;
        }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
            tags: zod.ZodOptional<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodArray<zod.ZodString, "many">>>>>;
            snippet: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>>;
            layout: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>>;
            image: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodObject<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">>>>, zod.objectOutputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough"> | undefined, zod.objectInputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough"> | null | undefined>>;
        }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
            tags: zod.ZodOptional<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodArray<zod.ZodString, "many">>>>>;
            snippet: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>>;
            layout: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>>;
            image: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodObject<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">>>>, zod.objectOutputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough"> | undefined, zod.objectInputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough"> | null | undefined>>;
        }, zod.ZodTypeAny, "passthrough">>>;
        seo: zod.ZodOptional<zod.ZodObject<{
            title: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            description: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            meta: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodArray<zod.ZodObject<{
                name: zod.ZodString;
                content: zod.ZodString;
            }, "strip", zod.ZodTypeAny, {
                name: string;
                content: string;
            }, {
                name: string;
                content: string;
            }>, "many">>>>, {
                name: string;
                content: string;
            }[], {
                name: string;
                content: string;
            }[] | null | undefined>>;
        }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
            title: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            description: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            meta: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodArray<zod.ZodObject<{
                name: zod.ZodString;
                content: zod.ZodString;
            }, "strip", zod.ZodTypeAny, {
                name: string;
                content: string;
            }, {
                name: string;
                content: string;
            }>, "many">>>>, {
                name: string;
                content: string;
            }[], {
                name: string;
                content: string;
            }[] | null | undefined>>;
        }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
            title: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            description: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            meta: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodArray<zod.ZodObject<{
                name: zod.ZodString;
                content: zod.ZodString;
            }, "strip", zod.ZodTypeAny, {
                name: string;
                content: string;
            }, {
                name: string;
                content: string;
            }>, "many">>>>, {
                name: string;
                content: string;
            }[], {
                name: string;
                content: string;
            }[] | null | undefined>>;
        }, zod.ZodTypeAny, "passthrough">>>;
        social: zod.ZodOptional<zod.ZodObject<{
            title: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            description: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            meta: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodArray<zod.ZodObject<{
                property: zod.ZodString;
                content: zod.ZodString;
            }, "strip", zod.ZodTypeAny, {
                content: string;
                property: string;
            }, {
                content: string;
                property: string;
            }>, "many">>>>, {
                content: string;
                property: string;
            }[], {
                content: string;
                property: string;
            }[] | null | undefined>>;
            image: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodObject<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">>>>>>;
        }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
            title: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            description: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            meta: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodArray<zod.ZodObject<{
                property: zod.ZodString;
                content: zod.ZodString;
            }, "strip", zod.ZodTypeAny, {
                content: string;
                property: string;
            }, {
                content: string;
                property: string;
            }>, "many">>>>, {
                content: string;
                property: string;
            }[], {
                content: string;
                property: string;
            }[] | null | undefined>>;
            image: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodObject<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">>>>>>;
        }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
            title: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            description: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            meta: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodArray<zod.ZodObject<{
                property: zod.ZodString;
                content: zod.ZodString;
            }, "strip", zod.ZodTypeAny, {
                content: string;
                property: string;
            }, {
                content: string;
                property: string;
            }>, "many">>>>, {
                content: string;
                property: string;
            }[], {
                content: string;
                property: string;
            }[] | null | undefined>>;
            image: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodObject<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">>>>>>;
        }, zod.ZodTypeAny, "passthrough">>>;
    }, zod.ZodTypeAny, "passthrough">>>;
    content: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodUnion<[zod.ZodObject<{}, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{}, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{}, zod.ZodTypeAny, "passthrough">>, zod.ZodArray<zod.ZodObject<{}, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{}, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{}, zod.ZodTypeAny, "passthrough">>, "many">]>>>>>;
}, "strip", zod.ZodTypeAny, {
    content?: zod.objectOutputType<{}, zod.ZodTypeAny, "passthrough"> | zod.objectOutputType<{}, zod.ZodTypeAny, "passthrough">[] | null | undefined;
    title?: string | undefined;
    path?: `/${string}` | null | undefined;
    category?: string | undefined;
    settings?: zod.objectOutputType<{
        general: zod.ZodOptional<zod.ZodObject<{
            tags: zod.ZodOptional<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodArray<zod.ZodString, "many">>>>>;
            snippet: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>>;
            layout: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>>;
            image: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodObject<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">>>>, zod.objectOutputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough"> | undefined, zod.objectInputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough"> | null | undefined>>;
        }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
            tags: zod.ZodOptional<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodArray<zod.ZodString, "many">>>>>;
            snippet: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>>;
            layout: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>>;
            image: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodObject<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">>>>, zod.objectOutputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough"> | undefined, zod.objectInputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough"> | null | undefined>>;
        }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
            tags: zod.ZodOptional<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodArray<zod.ZodString, "many">>>>>;
            snippet: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>>;
            layout: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>>;
            image: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodObject<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">>>>, zod.objectOutputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough"> | undefined, zod.objectInputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough"> | null | undefined>>;
        }, zod.ZodTypeAny, "passthrough">>>;
        seo: zod.ZodOptional<zod.ZodObject<{
            title: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            description: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            meta: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodArray<zod.ZodObject<{
                name: zod.ZodString;
                content: zod.ZodString;
            }, "strip", zod.ZodTypeAny, {
                name: string;
                content: string;
            }, {
                name: string;
                content: string;
            }>, "many">>>>, {
                name: string;
                content: string;
            }[], {
                name: string;
                content: string;
            }[] | null | undefined>>;
        }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
            title: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            description: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            meta: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodArray<zod.ZodObject<{
                name: zod.ZodString;
                content: zod.ZodString;
            }, "strip", zod.ZodTypeAny, {
                name: string;
                content: string;
            }, {
                name: string;
                content: string;
            }>, "many">>>>, {
                name: string;
                content: string;
            }[], {
                name: string;
                content: string;
            }[] | null | undefined>>;
        }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
            title: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            description: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            meta: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodArray<zod.ZodObject<{
                name: zod.ZodString;
                content: zod.ZodString;
            }, "strip", zod.ZodTypeAny, {
                name: string;
                content: string;
            }, {
                name: string;
                content: string;
            }>, "many">>>>, {
                name: string;
                content: string;
            }[], {
                name: string;
                content: string;
            }[] | null | undefined>>;
        }, zod.ZodTypeAny, "passthrough">>>;
        social: zod.ZodOptional<zod.ZodObject<{
            title: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            description: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            meta: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodArray<zod.ZodObject<{
                property: zod.ZodString;
                content: zod.ZodString;
            }, "strip", zod.ZodTypeAny, {
                content: string;
                property: string;
            }, {
                content: string;
                property: string;
            }>, "many">>>>, {
                content: string;
                property: string;
            }[], {
                content: string;
                property: string;
            }[] | null | undefined>>;
            image: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodObject<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">>>>>>;
        }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
            title: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            description: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            meta: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodArray<zod.ZodObject<{
                property: zod.ZodString;
                content: zod.ZodString;
            }, "strip", zod.ZodTypeAny, {
                content: string;
                property: string;
            }, {
                content: string;
                property: string;
            }>, "many">>>>, {
                content: string;
                property: string;
            }[], {
                content: string;
                property: string;
            }[] | null | undefined>>;
            image: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodObject<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">>>>>>;
        }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
            title: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            description: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            meta: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodArray<zod.ZodObject<{
                property: zod.ZodString;
                content: zod.ZodString;
            }, "strip", zod.ZodTypeAny, {
                content: string;
                property: string;
            }, {
                content: string;
                property: string;
            }>, "many">>>>, {
                content: string;
                property: string;
            }[], {
                content: string;
                property: string;
            }[] | null | undefined>>;
            image: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodObject<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">>>>>>;
        }, zod.ZodTypeAny, "passthrough">>>;
    }, zod.ZodTypeAny, "passthrough"> | undefined;
}, {
    content?: zod.objectInputType<{}, zod.ZodTypeAny, "passthrough"> | zod.objectInputType<{}, zod.ZodTypeAny, "passthrough">[] | null | undefined;
    title?: string | undefined;
    path?: string | null | undefined;
    category?: string | undefined;
    settings?: zod.objectInputType<{
        general: zod.ZodOptional<zod.ZodObject<{
            tags: zod.ZodOptional<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodArray<zod.ZodString, "many">>>>>;
            snippet: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>>;
            layout: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>>;
            image: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodObject<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">>>>, zod.objectOutputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough"> | undefined, zod.objectInputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough"> | null | undefined>>;
        }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
            tags: zod.ZodOptional<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodArray<zod.ZodString, "many">>>>>;
            snippet: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>>;
            layout: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>>;
            image: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodObject<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">>>>, zod.objectOutputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough"> | undefined, zod.objectInputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough"> | null | undefined>>;
        }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
            tags: zod.ZodOptional<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodArray<zod.ZodString, "many">>>>>;
            snippet: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>>;
            layout: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>>;
            image: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodObject<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">>>>, zod.objectOutputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough"> | undefined, zod.objectInputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough"> | null | undefined>>;
        }, zod.ZodTypeAny, "passthrough">>>;
        seo: zod.ZodOptional<zod.ZodObject<{
            title: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            description: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            meta: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodArray<zod.ZodObject<{
                name: zod.ZodString;
                content: zod.ZodString;
            }, "strip", zod.ZodTypeAny, {
                name: string;
                content: string;
            }, {
                name: string;
                content: string;
            }>, "many">>>>, {
                name: string;
                content: string;
            }[], {
                name: string;
                content: string;
            }[] | null | undefined>>;
        }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
            title: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            description: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            meta: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodArray<zod.ZodObject<{
                name: zod.ZodString;
                content: zod.ZodString;
            }, "strip", zod.ZodTypeAny, {
                name: string;
                content: string;
            }, {
                name: string;
                content: string;
            }>, "many">>>>, {
                name: string;
                content: string;
            }[], {
                name: string;
                content: string;
            }[] | null | undefined>>;
        }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
            title: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            description: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            meta: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodArray<zod.ZodObject<{
                name: zod.ZodString;
                content: zod.ZodString;
            }, "strip", zod.ZodTypeAny, {
                name: string;
                content: string;
            }, {
                name: string;
                content: string;
            }>, "many">>>>, {
                name: string;
                content: string;
            }[], {
                name: string;
                content: string;
            }[] | null | undefined>>;
        }, zod.ZodTypeAny, "passthrough">>>;
        social: zod.ZodOptional<zod.ZodObject<{
            title: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            description: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            meta: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodArray<zod.ZodObject<{
                property: zod.ZodString;
                content: zod.ZodString;
            }, "strip", zod.ZodTypeAny, {
                content: string;
                property: string;
            }, {
                content: string;
                property: string;
            }>, "many">>>>, {
                content: string;
                property: string;
            }[], {
                content: string;
                property: string;
            }[] | null | undefined>>;
            image: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodObject<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">>>>>>;
        }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
            title: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            description: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            meta: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodArray<zod.ZodObject<{
                property: zod.ZodString;
                content: zod.ZodString;
            }, "strip", zod.ZodTypeAny, {
                content: string;
                property: string;
            }, {
                content: string;
                property: string;
            }>, "many">>>>, {
                content: string;
                property: string;
            }[], {
                content: string;
                property: string;
            }[] | null | undefined>>;
            image: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodObject<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">>>>>>;
        }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
            title: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            description: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
            meta: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodArray<zod.ZodObject<{
                property: zod.ZodString;
                content: zod.ZodString;
            }, "strip", zod.ZodTypeAny, {
                content: string;
                property: string;
            }, {
                content: string;
                property: string;
            }>, "many">>>>, {
                content: string;
                property: string;
            }[], {
                content: string;
                property: string;
            }[] | null | undefined>>;
            image: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodObject<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
                id: zod.ZodString;
                src: zod.ZodString;
            }, zod.ZodTypeAny, "passthrough">>>>>>;
        }, zod.ZodTypeAny, "passthrough">>>;
    }, zod.ZodTypeAny, "passthrough"> | undefined;
}>;
export declare const createPageSettingsUpdateValidation: () => zod.ZodObject<{
    general: zod.ZodOptional<zod.ZodObject<{
        tags: zod.ZodOptional<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodArray<zod.ZodString, "many">>>>>;
        snippet: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>>;
        layout: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>>;
        image: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodObject<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough">>>>, zod.objectOutputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough"> | undefined, zod.objectInputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough"> | null | undefined>>;
    }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
        tags: zod.ZodOptional<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodArray<zod.ZodString, "many">>>>>;
        snippet: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>>;
        layout: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>>;
        image: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodObject<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough">>>>, zod.objectOutputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough"> | undefined, zod.objectInputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough"> | null | undefined>>;
    }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
        tags: zod.ZodOptional<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodArray<zod.ZodString, "many">>>>>;
        snippet: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>>;
        layout: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>>;
        image: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodObject<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough">>>>, zod.objectOutputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough"> | undefined, zod.objectInputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough"> | null | undefined>>;
    }, zod.ZodTypeAny, "passthrough">>>;
    seo: zod.ZodOptional<zod.ZodObject<{
        title: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
        description: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
        meta: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodArray<zod.ZodObject<{
            name: zod.ZodString;
            content: zod.ZodString;
        }, "strip", zod.ZodTypeAny, {
            name: string;
            content: string;
        }, {
            name: string;
            content: string;
        }>, "many">>>>, {
            name: string;
            content: string;
        }[], {
            name: string;
            content: string;
        }[] | null | undefined>>;
    }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
        title: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
        description: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
        meta: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodArray<zod.ZodObject<{
            name: zod.ZodString;
            content: zod.ZodString;
        }, "strip", zod.ZodTypeAny, {
            name: string;
            content: string;
        }, {
            name: string;
            content: string;
        }>, "many">>>>, {
            name: string;
            content: string;
        }[], {
            name: string;
            content: string;
        }[] | null | undefined>>;
    }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
        title: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
        description: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
        meta: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodArray<zod.ZodObject<{
            name: zod.ZodString;
            content: zod.ZodString;
        }, "strip", zod.ZodTypeAny, {
            name: string;
            content: string;
        }, {
            name: string;
            content: string;
        }>, "many">>>>, {
            name: string;
            content: string;
        }[], {
            name: string;
            content: string;
        }[] | null | undefined>>;
    }, zod.ZodTypeAny, "passthrough">>>;
    social: zod.ZodOptional<zod.ZodObject<{
        title: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
        description: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
        meta: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodArray<zod.ZodObject<{
            property: zod.ZodString;
            content: zod.ZodString;
        }, "strip", zod.ZodTypeAny, {
            content: string;
            property: string;
        }, {
            content: string;
            property: string;
        }>, "many">>>>, {
            content: string;
            property: string;
        }[], {
            content: string;
            property: string;
        }[] | null | undefined>>;
        image: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodObject<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough">>>>>>;
    }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
        title: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
        description: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
        meta: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodArray<zod.ZodObject<{
            property: zod.ZodString;
            content: zod.ZodString;
        }, "strip", zod.ZodTypeAny, {
            content: string;
            property: string;
        }, {
            content: string;
            property: string;
        }>, "many">>>>, {
            content: string;
            property: string;
        }[], {
            content: string;
            property: string;
        }[] | null | undefined>>;
        image: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodObject<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough">>>>>>;
    }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
        title: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
        description: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
        meta: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodArray<zod.ZodObject<{
            property: zod.ZodString;
            content: zod.ZodString;
        }, "strip", zod.ZodTypeAny, {
            content: string;
            property: string;
        }, {
            content: string;
            property: string;
        }>, "many">>>>, {
            content: string;
            property: string;
        }[], {
            content: string;
            property: string;
        }[] | null | undefined>>;
        image: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodObject<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough">>>>>>;
    }, zod.ZodTypeAny, "passthrough">>>;
}, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
    general: zod.ZodOptional<zod.ZodObject<{
        tags: zod.ZodOptional<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodArray<zod.ZodString, "many">>>>>;
        snippet: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>>;
        layout: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>>;
        image: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodObject<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough">>>>, zod.objectOutputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough"> | undefined, zod.objectInputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough"> | null | undefined>>;
    }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
        tags: zod.ZodOptional<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodArray<zod.ZodString, "many">>>>>;
        snippet: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>>;
        layout: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>>;
        image: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodObject<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough">>>>, zod.objectOutputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough"> | undefined, zod.objectInputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough"> | null | undefined>>;
    }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
        tags: zod.ZodOptional<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodArray<zod.ZodString, "many">>>>>;
        snippet: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>>;
        layout: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>>;
        image: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodObject<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough">>>>, zod.objectOutputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough"> | undefined, zod.objectInputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough"> | null | undefined>>;
    }, zod.ZodTypeAny, "passthrough">>>;
    seo: zod.ZodOptional<zod.ZodObject<{
        title: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
        description: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
        meta: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodArray<zod.ZodObject<{
            name: zod.ZodString;
            content: zod.ZodString;
        }, "strip", zod.ZodTypeAny, {
            name: string;
            content: string;
        }, {
            name: string;
            content: string;
        }>, "many">>>>, {
            name: string;
            content: string;
        }[], {
            name: string;
            content: string;
        }[] | null | undefined>>;
    }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
        title: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
        description: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
        meta: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodArray<zod.ZodObject<{
            name: zod.ZodString;
            content: zod.ZodString;
        }, "strip", zod.ZodTypeAny, {
            name: string;
            content: string;
        }, {
            name: string;
            content: string;
        }>, "many">>>>, {
            name: string;
            content: string;
        }[], {
            name: string;
            content: string;
        }[] | null | undefined>>;
    }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
        title: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
        description: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
        meta: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodArray<zod.ZodObject<{
            name: zod.ZodString;
            content: zod.ZodString;
        }, "strip", zod.ZodTypeAny, {
            name: string;
            content: string;
        }, {
            name: string;
            content: string;
        }>, "many">>>>, {
            name: string;
            content: string;
        }[], {
            name: string;
            content: string;
        }[] | null | undefined>>;
    }, zod.ZodTypeAny, "passthrough">>>;
    social: zod.ZodOptional<zod.ZodObject<{
        title: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
        description: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
        meta: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodArray<zod.ZodObject<{
            property: zod.ZodString;
            content: zod.ZodString;
        }, "strip", zod.ZodTypeAny, {
            content: string;
            property: string;
        }, {
            content: string;
            property: string;
        }>, "many">>>>, {
            content: string;
            property: string;
        }[], {
            content: string;
            property: string;
        }[] | null | undefined>>;
        image: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodObject<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough">>>>>>;
    }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
        title: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
        description: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
        meta: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodArray<zod.ZodObject<{
            property: zod.ZodString;
            content: zod.ZodString;
        }, "strip", zod.ZodTypeAny, {
            content: string;
            property: string;
        }, {
            content: string;
            property: string;
        }>, "many">>>>, {
            content: string;
            property: string;
        }[], {
            content: string;
            property: string;
        }[] | null | undefined>>;
        image: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodObject<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough">>>>>>;
    }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
        title: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
        description: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
        meta: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodArray<zod.ZodObject<{
            property: zod.ZodString;
            content: zod.ZodString;
        }, "strip", zod.ZodTypeAny, {
            content: string;
            property: string;
        }, {
            content: string;
            property: string;
        }>, "many">>>>, {
            content: string;
            property: string;
        }[], {
            content: string;
            property: string;
        }[] | null | undefined>>;
        image: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodObject<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough">>>>>>;
    }, zod.ZodTypeAny, "passthrough">>>;
}, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
    general: zod.ZodOptional<zod.ZodObject<{
        tags: zod.ZodOptional<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodArray<zod.ZodString, "many">>>>>;
        snippet: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>>;
        layout: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>>;
        image: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodObject<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough">>>>, zod.objectOutputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough"> | undefined, zod.objectInputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough"> | null | undefined>>;
    }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
        tags: zod.ZodOptional<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodArray<zod.ZodString, "many">>>>>;
        snippet: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>>;
        layout: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>>;
        image: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodObject<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough">>>>, zod.objectOutputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough"> | undefined, zod.objectInputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough"> | null | undefined>>;
    }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
        tags: zod.ZodOptional<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodArray<zod.ZodString, "many">>>>>;
        snippet: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>>;
        layout: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>>;
        image: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodObject<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough">>>>, zod.objectOutputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough"> | undefined, zod.objectInputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough"> | null | undefined>>;
    }, zod.ZodTypeAny, "passthrough">>>;
    seo: zod.ZodOptional<zod.ZodObject<{
        title: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
        description: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
        meta: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodArray<zod.ZodObject<{
            name: zod.ZodString;
            content: zod.ZodString;
        }, "strip", zod.ZodTypeAny, {
            name: string;
            content: string;
        }, {
            name: string;
            content: string;
        }>, "many">>>>, {
            name: string;
            content: string;
        }[], {
            name: string;
            content: string;
        }[] | null | undefined>>;
    }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
        title: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
        description: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
        meta: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodArray<zod.ZodObject<{
            name: zod.ZodString;
            content: zod.ZodString;
        }, "strip", zod.ZodTypeAny, {
            name: string;
            content: string;
        }, {
            name: string;
            content: string;
        }>, "many">>>>, {
            name: string;
            content: string;
        }[], {
            name: string;
            content: string;
        }[] | null | undefined>>;
    }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
        title: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
        description: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
        meta: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodArray<zod.ZodObject<{
            name: zod.ZodString;
            content: zod.ZodString;
        }, "strip", zod.ZodTypeAny, {
            name: string;
            content: string;
        }, {
            name: string;
            content: string;
        }>, "many">>>>, {
            name: string;
            content: string;
        }[], {
            name: string;
            content: string;
        }[] | null | undefined>>;
    }, zod.ZodTypeAny, "passthrough">>>;
    social: zod.ZodOptional<zod.ZodObject<{
        title: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
        description: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
        meta: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodArray<zod.ZodObject<{
            property: zod.ZodString;
            content: zod.ZodString;
        }, "strip", zod.ZodTypeAny, {
            content: string;
            property: string;
        }, {
            content: string;
            property: string;
        }>, "many">>>>, {
            content: string;
            property: string;
        }[], {
            content: string;
            property: string;
        }[] | null | undefined>>;
        image: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodObject<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough">>>>>>;
    }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
        title: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
        description: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
        meta: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodArray<zod.ZodObject<{
            property: zod.ZodString;
            content: zod.ZodString;
        }, "strip", zod.ZodTypeAny, {
            content: string;
            property: string;
        }, {
            content: string;
            property: string;
        }>, "many">>>>, {
            content: string;
            property: string;
        }[], {
            content: string;
            property: string;
        }[] | null | undefined>>;
        image: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodObject<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough">>>>>>;
    }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
        title: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
        description: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodString>>>>;
        meta: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodArray<zod.ZodObject<{
            property: zod.ZodString;
            content: zod.ZodString;
        }, "strip", zod.ZodTypeAny, {
            content: string;
            property: string;
        }, {
            content: string;
            property: string;
        }>, "many">>>>, {
            content: string;
            property: string;
        }[], {
            content: string;
            property: string;
        }[] | null | undefined>>;
        image: zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodOptional<zod.ZodObject<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
            id: zod.ZodString;
            src: zod.ZodString;
        }, zod.ZodTypeAny, "passthrough">>>>>>;
    }, zod.ZodTypeAny, "passthrough">>>;
}, zod.ZodTypeAny, "passthrough">>;
