"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createTranslationsGraphQl = exports.createTranslations = void 0;
var _merge = _interopRequireDefault(require("lodash/merge"));
var _handlerGraphql = require("@webiny/handler-graphql");
var _resolvers = require("./translatableCollection/graphql/resolvers");
var _schema = require("./translatableCollection/graphql/schema");
var _schema2 = require("./translatedCollection/graphql/schema");
var _resolvers2 = require("./translatedCollection/graphql/resolvers");
var _apiHeadlessCms = require("@webiny/api-headless-cms");
var _translatableCollection = require("./translatableCollection/repository/translatableCollection.model");
var _translatedCollection = require("./translatedCollection/repository/translatedCollection.model");
const baseSchema = /* GraphQL */`
    type TranslationsQuery {
        _empty: String
    }

    type TranslationsMutation {
        _empty: String
    }

    extend type Query {
        translations: TranslationsQuery
    }

    extend type Mutation {
        translations: TranslationsMutation
    }
`;
const baseResolvers = {
  Query: {
    translations: () => ({})
  },
  Mutation: {
    translations: () => ({})
  }
};
const createTranslations = () => {
  return [(0, _apiHeadlessCms.createCmsModelPlugin)(_translatableCollection.translatableCollectionModel, {
    validateLayout: false
  }), (0, _apiHeadlessCms.createCmsModelPlugin)(_translatedCollection.translatedCollectionModel, {
    validateLayout: false
  })];
};
exports.createTranslations = createTranslations;
const createTranslationsGraphQl = () => {
  return [(0, _handlerGraphql.createGraphQLSchemaPlugin)({
    typeDefs: `${baseSchema} ${_schema.translatableCollectionSchema} ${_schema2.translatedCollectionSchema}`,
    resolvers: (0, _merge.default)(baseResolvers, _resolvers.translatableCollectionResolvers, _resolvers2.translatedCollectionResolvers)
  })];
};
exports.createTranslationsGraphQl = createTranslationsGraphQl;

//# sourceMappingURL=createTranslations.js.map